Use this call to get ad redemptions for a given customer.
GET /v2/customerProfile/getCustomerAdRedemptionsRequest (Query string parameter)
| Property | Type | Required | Description |
|---|---|---|---|
| lookbackWindowInDays | int | No | Limit the ads being returned based on the specified lookback period. This lookback is applied to the corresponding offer's end date. If not supplied, all redeemed ads that in the past 120 days will be returned. Values: a positive number between 0 and 396 (inclusive). |
Response
| Property | Type | Description | |
|---|---|---|---|
| redemptions | Redemption[] | List of redemptions | |
| ads | Map<string, Ad> | Data for ads, keyed by adId |
Example
Request
GET /v2/customerProfile/getCustomerAdRedemptionsRequest (with query parameter)
GET /v2/customerProfile/getCustomerAdRedemptions?lookbackWindowInDays=396Response
{
"redemptions": [
{
"redemptionId": "992745",
"adId": "123",
"amount": 5.00,
"redemptionDate": "2023-03-21T12:58:34Z",
"sourceCustomerId": "609a180c-c896-4ccb-8ef6-8b24fd6ef32b",
"sourceAccountId": "388836454",
"redeemingTransactionAmount": 34.46,
"transactionId": "929994552",
"rewardSettlementRunDate": "2023-03-23T10:44:23Z"
}
],
"ads": {
"123": {
"adId": "123",
"adType": "CASH_BACK_OFFER",
"adServeToken": "encodedData",
"activationDate": "2023-01-01T08:00:00Z",
"merchantName": "Joe's",
"reward": {
"rewardType": "PERCENT_AMOUNT_PURCHASE",
"rewardAmount": 5.0,
"minSpendAmount": 1.0,
"maxRewardAmount": 25.0,
"isMultiRedemption": true,
"purchaseRequirement": {
"purchaseChannels": ["InStore", "Online"],
"purchaseTypes": [
"Membership",
"Subscription"
]
}
},
"activationState": "ACTIVATED",
"visibilityState": "VISIBLE",
"redemptionState": "PROCESSING",
"assets": {
"logo": {
"type": "IMAGE_URL",
"value": {
"large": {
"url": "https://www.example.com/img.jpg",
"width": 627,
"height": 627
},
"small": {
"url": "https://www.example.com/img.jpg",
"width": 128,
"height": 128
}
}
},
"largeRectangle": {
"type": "IMAGE_URL",
"value": {
"large": {
"url": "https://www.example.com/img.jpg",
"width": 1198,
"height": 627
},
"small": {
"url": "https://www.example.com/img.jpg",
"width": 382,
"height": 200
}
}
},
"smallRectangle": {
"type": "IMAGE_URL",
"value": {
"small": {
"url": "https://www.example.com/img.jpg",
"width": 382,
"height": 200
}
}
},
"copy": {
"type": "AD_COPY",
"value": {
"headline": "10% back",
"subheadline": "Subscriptions",
"shortPreMessage": "Get 10% back at Bob's",
"thankYouMessage": "Thank you for shopping! You got $24.46 back!",
"marketingCopy": "Terms and conditions apply. Offer only applies to some locations.",
"rewardCopy": "Get 10% back on any purchase of $5 or more at Bob's Warehouse. Maximum of $30 back. Minimum transaction of $5 required.",
"preMessage": "Get 10% back on any purchase of $5 or more at Bob's Warehouse.",
"postMessage": "Time and inventory is limited. Maximum of $30 back. Minimum transaction of $5 required. Terms and conditions apply. Offer only applies to some locations. <a class='cardlytics_anchor_styling cardlytics_anchor_target' target='_blank' href='http://example.com' aria-label='here'>Please click here </a> to find a location near you. Offer expires 1/19/2024. <b>Offer only valid on purchases made directly with the merchant.</b> Offer not valid on purchases made using third-party services, delivery services, or a third-party payment account (e.g., buy now pay later). Payment must be made on or before offer expiration date.",
"termsAndConditions": "Offer expires 1/19/2024. <b>Offer only valid on purchases made directly with the merchant.</b> Offer not valid on purchases made using third-party services, delivery services, or a third-party payment account (e.g., buy now pay later). Payment must be made on or before offer expiration date."
}
},
"callsToAction": {
"type": "CALL_TO_ACTION_LINKS",
"value": {
"buyNow": {
"type": "WEB_LINK",
"value": "https://www.example.com/shopping?productId=4"
},
"learnMore": {
"type": "WEB_LINK",
"value": "https://www.example.com/learnmore.html"
}
}
}
}
}
},
"requestId": "380052b4-3a64-4952-b640-ba696eb9f44b"
}Note
Pending are the redemptions that were approved but have not been paid yet to the customer.